------------------------------------------------------------------------------------
--Name：         210914[英文征服][活动脚本]10.19埃及外套活动
--Creator:      耿力兀
--Created:     2021-09-14
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(73,105)
CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:SetLightScreen(1000);
local effectObj1 = CppScriptMgr:AddEffect("stipple_bdh",73,105)

local hero = CppScriptMgr:QueryHero();
hero:SetPos(73,105);
CppScriptMgr:WaitMilSec(1000)
local effectObj2 = CppScriptMgr:AddEffect("GodRef_xinpin",73,99)
hero:Say("That`s the legendary tower？",1500)
hero:RunTo(73,99);
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetViewScale(300)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(310)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(320)
CppScriptMgr:WaitMilSec(50)
hero:Say("Opening...",1500)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(71,102)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,100)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,98)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,96)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,94)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,92)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,90)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,88)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,86)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,84)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,83)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,81)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,79)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,77)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,75)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,73)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,71)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,69)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,67)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(71,65)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(320)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(310)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(300)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(290)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(280)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(270)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(260)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(250)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(240)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(230)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(220)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(210)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(200)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(190)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewScale(180)
CppScriptMgr:WaitMilSec(50)

CppScriptMgr:NpcCallOut("Another man who wants my treasure. Come to prove if you deserve that!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Anubis",250,655)
CppScriptMgr:WaitMilSec(2000)